#version 460 compatibility

/* DRAWBUFFERS:0 */
layout(location = 0) out vec4 outColor0;

uniform sampler2D depthtex0;
uniform sampler2D lightmap;

uniform float viewWidth;
uniform float viewHeight;

in vec4 color;
in vec2 lightCoord;

void main() {

    vec4 lightColor = pow(texture(lightmap, lightCoord), vec4(2.2));

    vec4 albedo = pow(color, vec4(2.2)) * lightColor;

    vec2 depthCoord = gl_FragCoord.xy / vec2(viewWidth, viewHeight);
    float depth = texture(depthtex0, depthCoord).r;

    if (depth != 1.0) {
        discard;
    }

    outColor0 = pow(albedo, vec4(1.0/2.2));
}