#version 460 compatibility

uniform sampler2D texture;

uniform float viewWidth;
uniform float viewHeight;

varying vec4 color;
varying vec2 coord0;

void main()
{
    vec2 txcoord = coord0 * vec2(viewWidth / 4, viewHeight / 4);
    txcoord = floor(txcoord);
    txcoord = txcoord / vec2(viewWidth / 4, viewHeight / 4);

    vec4 outcolor = color * texture2D(texture, txcoord);

    outcolor *= 24;
    outcolor = round(outcolor);
    outcolor /= 24;

    float lines = fract((viewHeight / 4) * coord0.y) * 2;

    gl_FragData[0] = outcolor * round(lines) / 1.25;
}
